Subject: Re: [Sip] [Sip-implementors] Tel URI query

From: harbhanu <[email-masked]>
Date: Mon, 02 Mar 2009 08:25:29 +0530

I actually wanted to use +3314529!****! as example.
But then as per your interpretation too it's not allowed. 

Also, please refer to the specification below:
3GPP 23003-830: [Section 13.5	Public Service Identity (PSI)]
             A wildcarded PSI consists of a delimited regular expression
located either in the userinfo portion of the SIP URI or in the
telephone-subscriber portion of the Tel URI. 

TISPAN 182 025: [Section 6.1.2 Identification]
             The wildcarded public user identity consists of a delimited
regular expression located in the telephone-subscriber portion of a tel URI
(e.g.         tel: +3314529!****!) or in the user portion of a SIP URI (e.g.
sip:[email-masked]).

Our point of contention is that the TEL Uri is modified as per the text
given in above mentioned specifications. 

So do we have any parallel draft in IETF to apply these modification to Tel
Uri ??
How are we supposed to handle scenarios like this ?

Regards,
Harbhanu

-----Original Message-----
From: Iñaki Baz Castillo [mailto:[email-masked]] 
Sent: Saturday, February 28, 2009 6:19 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Sip-implementors] Tel URI query

2009/2/27 harbhanu <[email-masked]>:

> Example: The following PSI could be stored in the HSS -
> "sip:[email-masked]".
>
> "
>
> As per the above statements, the same example there would hold true for
tel
> uri too. Such as:
>
> tel:[email-masked]
>
>
>
> But after referring to the ABNF defined by RFC-3966 I believe the same is
> not supported.

The above TEL uri is fully invalid. Basically a TEL uri can be:

- Local number:
tel: + 0123456789aBCDEF-,() + ;phone-context=XXXX

- Global number:
tel: + "+" 0123456789-,()

A tel URI number cannot contain other symbols. Also, note that in case
of a local number (so doesn't start by "+") then "phone-context"
parameter is mandatory.

Regards.

-- 
Iñaki Baz Castillo
<[email-masked]>

---

From: "T Satyanarayana-A12694" <[email-masked]>
Date: Mon, 2 Mar 2009 18:57:54 +0800

There MAY be no violation of specs here. These wildcard chars (! etc) are used only in the HSS or other nodes (only to optimize handling of multiple related URIs) and not in a SIP message?. Just a thought, not sure. Have a look at the following text from 23.003.

========================
The public service identity shall take the form of either a SIP URI (see IETF RFC 3261 [26]) or a Tel URI (see IETF RFC 3966 [45]). A public service identity identifies a service, or a specific resource created for a service on an application server. The domain part is pre-defined by the IMS operators and the IMS system provides the flexibility to dynamically create the user part of the PSIs.

The PSIs are stored in the HSS either as a distinct PSI or as a wildcarded PSI. A distinct PSI contains the PSI that is used in routing , whilst a wildcarded PSI represents a collection of PSIs. Wildcarded PSIs enable optimisation of the operation and maintenance of the nodes. A wildcarded PSI consists of a delimited regular expression located either in the userinfo portion of the SIP URI or in the telephone-subscriber portion of the Tel URI. The regular expression in the wildcarded PSI shall take the form of Extended Regular Expressions (ERE) as defined in chapter 9 in IEEE 1003.1-2004 Part 1 [60]. The delimiter shall be the exclamation mark character ("!"). If more than two exclamation mark characters are present in the userinfo portion or telephone-subscriber portion of a wildcarded PSI then the outside pair of exclamation mark characters is regarded as the pair of delimiters (i.e. no exclamation mark characters are allowed to be present in the fixed parts of the userinfo portion or telephone-subscriber portion).

When stored in the HSS, the wildcarded PSI shall include the delimiter character to indicate the extent of the part of the PSI that is wildcarded.  It is used  to separate the regular expression from the fixed part of the wildcarded PSI.

Example: The following PSI could be stored in the HSS - "sip:[email-masked]".
========================

Regards
Satya T

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Iñaki Baz Castillo
Sent: Monday, March 02, 2009 2:28 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Sip-implementors] Tel URI query

> But then as per your interpretation too it's not allowed.

Sure it's not allowed per RFC 3966 BNF syntax rules.

>             The wildcarded public user identity consists of a 
> delimited regular expression located in the telephone-subscriber 
> portion of a tel URI (e.g.         tel: +3314529!****!) or in the user portion of a SIP URI (e.g.
> sip:[email-masked]).

This is annoying. It means that this specification violates the grammar specified in RFC 3966. Theorically RFC 3966 is just updated by RFC 5341. Sincerelly I can't understand how the above spec can requiere such aberration in Tel URI.

> So do we have any parallel draft in IETF to apply these modification 
> to Tel Uri ??

Sorry, no idea, this is really confusing. Do people writting specifications really want TEL URI to be usable??

--
Iñaki Baz Castillo
<[email-masked]>

_______________________________________________
Sip-implementors mailing list
[email-masked]
https://lists.cs.columbia.edu/cucslists/listinfo/sip-implementors